Bug 1987393 - build2: FTBFS in Fedora rawhide/f35
Summary: build2: FTBFS in Fedora rawhide/f35
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: build2
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Krupcale
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FTBFS F36FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-07-29 14:41 UTC by Fedora Release Engineering
Modified: 2022-02-09 02:07 UTC (History)
1 user (show)

Fixed In Version: build2-0.14.0-1.fc35~bootstrap build2-0.14.0-1.fc34~bootstrap
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-09 01:17:20 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2021-07-29 14:41 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2021-07-29 14:41 UTC, Fedora Release Engineering
no flags Details
state.log (966 bytes, text/plain)
2021-07-29 14:41 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-07-29 14:41:09 UTC
build2 failed to build from source in Fedora rawhide/f35

https://koji.fedoraproject.org/koji/taskinfo?taskID=72329005


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
Please fix build2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
build2 will be orphaned. Before branching of Fedora 36,
build2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-07-29 14:41:15 UTC
Created attachment 1807224 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2021-07-29 14:41:20 UTC
Created attachment 1807225 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-07-29 14:41:23 UTC
Created attachment 1807226 [details]
state.log

Comment 4 Fedora Release Engineering 2021-08-01 04:24:47 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-09-23).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 5 Matthew Krupcale 2021-08-01 14:05:33 UTC
This is the result of a test certificate nearing expiration, causing a test case to fail with unexpected warning output:

test bpkg-0.13.0/tests/testscript{rep-create}
bpkg-0.13.0/tests/rep-create.testscript:118:5: error: bpkg-0.13.0/bpkg/bpkg stderr doesn't match regex
  info: stderr: bpkg-0.13.0/tests/test/rep-create/signed/with-key/stderr-2
  info: stderr regex: bpkg-0.13.0/tests/test/rep-create/signed/with-key/stderr-2.regex
added bar 1
added foo 1
warning: certificate for repository 1/stable/ expires in less than 217 day(s)

The fix is already upstream [1] and will be available in the next release.

[1] https://git.build2.org/cgit/bpkg/commit/?id=42f363fe33835d39afc462fad0ded82f478257c7

Comment 6 Ben Cotton 2021-08-10 13:16:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 7 Fedora Update System 2022-01-31 01:24:07 UTC
FEDORA-2022-802c1344d5 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-802c1344d5

Comment 8 Fedora Update System 2022-01-31 01:24:12 UTC
FEDORA-2022-671d829ea0 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-671d829ea0

Comment 9 Fedora Update System 2022-02-01 01:05:54 UTC
FEDORA-2022-671d829ea0 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-671d829ea0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-671d829ea0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-02-01 01:59:42 UTC
FEDORA-2022-802c1344d5 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-802c1344d5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-802c1344d5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-02-09 01:17:20 UTC
FEDORA-2022-802c1344d5 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-02-09 02:07:14 UTC
FEDORA-2022-671d829ea0 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.